;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function patch_load_image, state, dummy, RESET=reset, VERBOSE=verbose
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
COMMON image, img, header, N, M, a_dim, Nori, Mori

if KEYWORD_SET(reset) THEN reset=1 ELSE reset=0
if KEYWORD_SET(verbose) then verb=1 else verb=0

img=readfits(state.par.img_filename, header, /SILENT)

N=(size(img))[1]
M=(size(img))[2]
Nori=N
Mori=M
if (size(img))[0] EQ 2 then P=1
if ((size(img))[0] EQ 3 ) AND (verb) then begin
   a=dialog_message(["Multiple images are not supported", $
                     "in this version of PATCH."],   $
                     dialog_parent=dummy, /ERROR)
   return, 0
endif 
if (reset) then begin
   state.par.cols=1
   state.par.rows=1
   state.par.overlap=0
   state.par.domx=N/state.par.cols
   state.par.domy=M/state.par.rows
endif
if (verb) then begin
        info=["filename: "+state.par.img_filename, $
              "size: "+strtrim(N,1)+' x '+strtrim(M,1), $
              "domains ("+strtrim(state.par.rows*state.par.cols,1)+"): size "+$
              strtrim(state.par.domx,1)+' x '+strtrim(state.par.domy,1), $
              "current domain: none"]
   ;show info
   WIDGET_CONTROL, state.id.img_info, SET_VALUE=info
endif
return, 1
end

